real(fp) FUNCTION SGLICX(ZE)
  use iso_c_binding, only: fp => c_double
!  ZE IN EV
!  SGHECX IN CM**2
!
!  JANEV-LANGER-EVANS-POST,
!  ELEMENTARY PROCESSES IN HYDROGEN-HELIUM PLASMAS
!  FIT FOR REACTION 6.3.1, HE + HE++ <--> HE++ + HE DBL CHARGE EXCHANGE
!
!  FIT TABLE IN SS 8.1, P. 255
!
  real(fp) A631(9)
  DATA A631/-3.459818E+01_fp,-8.748942E-02_fp,-2.445604E-02_fp,&
       2.392295E-03_fp, 9.876388E-04_fp,-2.282013E-04_fp,&
       3.598361E-06_fp, 1.940270E-06_fp,-1.105795E-07_fp/
!
  ZLE=ALOG(ZE)
!
  ZLS=A631(9)
  DO I=8,1,-1
     ZLS=ZLS*ZLE+A631(I)
  enddo
!
  SGLICX=EXP(ZLS)
!
  RETURN
END FUNCTION SGLICX
